From 8c11aeabf34985421cd229240a6fad3db8023156 Mon Sep 17 00:00:00 2001
From: Pino Toscano <pino@kde.org>
Date: Sat, 9 Sep 2017 15:33:24 +0200
Subject: use Q_DECL_OVERRIDE

---
 src/edit.h                          | 2 +-
 src/job.h                           | 2 +-
 src/login.h                         | 2 +-
 src/logout.h                        | 2 +-
 src/parse.h                         | 2 +-
 src/queryimageinfo.h                | 2 +-
 src/queryimages.h                   | 2 +-
 src/queryinfo.h                     | 2 +-
 src/queryrevision.h                 | 2 +-
 src/querysiteinfogeneral.h          | 2 +-
 src/querysiteinfousergroups.h       | 2 +-
 src/upload.h                        | 2 +-
 tests/libmediawikitest/fakeserver.h | 2 +-
 13 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/src/edit.h b/src/edit.h
index 85bd590..a3944c8 100644
--- a/src/edit.h
+++ b/src/edit.h
@@ -178,7 +178,7 @@ public:
     /**
      * @brief Starts the job asynchronously.
      */
-    virtual void start();
+    void start() Q_DECL_OVERRIDE;
 
     /**
      * @brief Specify how the watchlist is affected by this edit.
diff --git a/src/job.h b/src/job.h
index 180822b..feda262 100644
--- a/src/job.h
+++ b/src/job.h
@@ -73,7 +73,7 @@ public:
     /**
      * @brief Aborts this job quietly.
      */
-    virtual bool doKill();
+    bool doKill() Q_DECL_OVERRIDE;
 
 protected:
 
diff --git a/src/login.h b/src/login.h
index 196710a..4ea71f1 100644
--- a/src/login.h
+++ b/src/login.h
@@ -130,7 +130,7 @@ public:
     /**
      * @brief Starts the job asynchronously.
      */
-    virtual void start();
+    void start() Q_DECL_OVERRIDE;
 
 private Q_SLOTS:
 
diff --git a/src/logout.h b/src/logout.h
index 03fb1f7..1b05323 100644
--- a/src/logout.h
+++ b/src/logout.h
@@ -65,7 +65,7 @@ public:
     /**
      * @brief Starts the job asynchronously.
      */
-    virtual void start();
+    void start() Q_DECL_OVERRIDE;
 
 private Q_SLOTS:
 
diff --git a/src/parse.h b/src/parse.h
index 5732f69..e72f59f 100644
--- a/src/parse.h
+++ b/src/parse.h
@@ -85,7 +85,7 @@ public:
 
     void setUseLang(const QString& param);
 
-    virtual void start();
+    void start() Q_DECL_OVERRIDE;
 
     Q_SIGNALS:
 
diff --git a/src/queryimageinfo.h b/src/queryimageinfo.h
index f8c21a6..039c4a5 100644
--- a/src/queryimageinfo.h
+++ b/src/queryimageinfo.h
@@ -148,7 +148,7 @@ public:
     /**
      * @brief Starts the job asynchronously.
      */
-    virtual void start();
+    void start() Q_DECL_OVERRIDE;
 
 Q_SIGNALS:
 
diff --git a/src/queryimages.h b/src/queryimages.h
index 3211880..c8de5a0 100644
--- a/src/queryimages.h
+++ b/src/queryimages.h
@@ -103,7 +103,7 @@ public:
     /**
      * @brief Starts the job asynchronously.
      */
-    virtual void start();
+    void start() Q_DECL_OVERRIDE;
 
 Q_SIGNALS:
 
diff --git a/src/queryinfo.h b/src/queryinfo.h
index e2ff3e6..e23f50e 100644
--- a/src/queryinfo.h
+++ b/src/queryinfo.h
@@ -75,7 +75,7 @@ public:
     /**
      * @brief Starts the job asynchronously.
      */
-    virtual void start();
+    void start() Q_DECL_OVERRIDE;
 
     /**
      * @brief Set the page name.
diff --git a/src/queryrevision.h b/src/queryrevision.h
index b1decfb..190d026 100644
--- a/src/queryrevision.h
+++ b/src/queryrevision.h
@@ -150,7 +150,7 @@ public:
     /**
      * @brief Starts the job asynchronously.
      */
-    virtual void start();
+    void start() Q_DECL_OVERRIDE;
 
     /**
      * @brief Set the page id.
diff --git a/src/querysiteinfogeneral.h b/src/querysiteinfogeneral.h
index 516f7ed..1b31f15 100644
--- a/src/querysiteinfogeneral.h
+++ b/src/querysiteinfogeneral.h
@@ -81,7 +81,7 @@ public:
     /**
      * @brief Starts the job asynchronously.
      */
-    virtual void start();
+    void start() Q_DECL_OVERRIDE;
 
 Q_SIGNALS:
 
diff --git a/src/querysiteinfousergroups.h b/src/querysiteinfousergroups.h
index 74bc653..d6fb089 100644
--- a/src/querysiteinfousergroups.h
+++ b/src/querysiteinfousergroups.h
@@ -73,7 +73,7 @@ public:
     /**
      * @brief Starts the job asynchronously.
      */
-    virtual void start();
+    void start() Q_DECL_OVERRIDE;
 
 Q_SIGNALS:
 
diff --git a/src/upload.h b/src/upload.h
index 817eb5b..7f745f4 100644
--- a/src/upload.h
+++ b/src/upload.h
@@ -143,7 +143,7 @@ public:
     /**
      * @brief Starts the job asynchronously.
      */
-    virtual void start();
+    void start() Q_DECL_OVERRIDE;
 
     /**
      * @brief Set the target filename.
diff --git a/tests/libmediawikitest/fakeserver.h b/tests/libmediawikitest/fakeserver.h
index e847ac6..c6bb78c 100644
--- a/tests/libmediawikitest/fakeserver.h
+++ b/tests/libmediawikitest/fakeserver.h
@@ -61,7 +61,7 @@ public:
     ~FakeServer();
 
     void startAndWait();
-    virtual void run();
+    void run() Q_DECL_OVERRIDE;
 
     void setScenario( const QString& scenario, const QString& cookie = QStringLiteral("empty"));
     void addScenario( const QString& scenario, const QString& cookie = QStringLiteral("empty"));
-- 
cgit v1.1
